[pkg-java] r9366 - in trunk/maven-repo-helper: debian src/main/bin src/main/share

Ludovic Claude ludovicc-guest at alioth.debian.org
Thu Jul 16 16:13:56 UTC 2009


Author: ludovicc-guest
Date: 2009-07-16 16:13:55 +0000 (Thu, 16 Jul 2009)
New Revision: 9366

Added:
   trunk/maven-repo-helper/src/main/bin/mh_linkjar
Modified:
   trunk/maven-repo-helper/debian/changelog
   trunk/maven-repo-helper/debian/rules
   trunk/maven-repo-helper/src/main/bin/mh_installjar
   trunk/maven-repo-helper/src/main/bin/mh_installpom
   trunk/maven-repo-helper/src/main/bin/mh_installpoms
   trunk/maven-repo-helper/src/main/share/mh_lib.sh
Log:
* Install jars in /usr/share/java and create link to them from
 the Maven repository (as suggested by Marcus Better)
* Add a new script, mh_linkjar, which creates links to the jar into
 /usr/share/maven-repo. Unlike mh_installjar, it does not copy the
 jar into the build directory. 

Modified: trunk/maven-repo-helper/debian/changelog
===================================================================
--- trunk/maven-repo-helper/debian/changelog	2009-07-16 15:58:53 UTC (rev 9365)
+++ trunk/maven-repo-helper/debian/changelog	2009-07-16 16:13:55 UTC (rev 9366)
@@ -1,6 +1,16 @@
+maven-repo-helper (0.7) unstable; urgency=low
+
+  * Install jars in /usr/share/java and create link to them from
+   the Maven repository (as suggested by Marcus Better)
+  * Add a new script, mh_linkjar, which creates links to the jar into
+   /usr/share/maven-repo. Unlike mh_installjar, it does not copy the
+   jar into the build directory. 
+
+ -- Ludovic Claude <ludovic.claude at laposte.net>  Thu, 16 Jul 2009 10:09:26 +0100
+
 maven-repo-helper (0.6.1) experimental; urgency=low
 
- * Add a workaround to use gcj with maven-repo-helper:
+  * Add a workaround to use gcj with maven-repo-helper:
     avoid using gnu xml stream when reading or writing XML documents.
 
  -- Ludovic Claude <ludovic.claude at laposte.net>  Mon, 13 Jul 2009 20:15:14 +0100

Modified: trunk/maven-repo-helper/debian/rules
===================================================================
--- trunk/maven-repo-helper/debian/rules	2009-07-16 15:58:53 UTC (rev 9365)
+++ trunk/maven-repo-helper/debian/rules	2009-07-16 16:13:55 UTC (rev 9366)
@@ -22,6 +22,7 @@
 mh_installjar_description = "Installs a jar into /usr/share/maven-repo."
 mh_installpom_description = "Installs a POM file into /usr/share/maven-repo."
 mh_installpoms_description = "Installs all POMs for the package into /usr/share/maven-repo."
+mh_linkjar_description = "Installs a link to the jar into /usr/share/maven-repo."
 mh_lspoms_description = "Generates a list of POMs for the package."
 mh_patchpoms_description = "Patches the POM files using the Maven dependency rules."
 mh_unpatchpoms_description = "Undo the patches on the POM files."

Modified: trunk/maven-repo-helper/src/main/bin/mh_installjar
===================================================================
--- trunk/maven-repo-helper/src/main/bin/mh_installjar	2009-07-16 15:58:53 UTC (rev 9365)
+++ trunk/maven-repo-helper/src/main/bin/mh_installjar	2009-07-16 16:13:55 UTC (rev 9366)
@@ -8,8 +8,8 @@
 {
    echo -e "Usage: mh_installjar [option]... [pom] [jar] [link]..."
    echo -e "Installs the jar file in /usr/share/maven-repo, at the correct location for"
-   echo -e "Maven."
-   echo -e "It can also create additional links to the jar, usually placed in"
+   echo -e "Maven. The jar is copied into the build directory."
+   echo -e "It can also create additional links to the jar, usually located in"
    echo -e "/usr/share/java."
    echo -e ""
    echo -e "Where"
@@ -29,16 +29,25 @@
    echo -e "\t-r<rules> --rules=<rules>: gives the location of the rules file for"
    echo -e "\t  special properties. Optional, the default location is"
    echo -e "\t  debian/maven.rules"
-   echo -e "\t-l --java-lib: Optional, if given it will create additional links into "
-   echo -e "\t  /usr/share/java to comply with the Java specification. More precisely,"
-   echo -e "\t  the links created will be /usr/share/java/$name-$version.jar and"
-   echo -e "\t  /usr/share/java/$name.jar"
+   echo -e "\t-l --java-lib: Optional, if given it will install the jar into"
+   echo -e "\t  /usr/share/java to comply with the Debian Java specification."
+   echo -e "\t  The jar will be installed as /usr/share/java/$name-$version.jar and"
+   echo -e "\t  a versionless link /usr/share/java/$name.jar will point to it, as"
+   echo -e "\t  well as the links installed in /usr/share/maven-repo"
    echo -e "\t-n<name> --usj-name=<name>: Optional, the name to use when installing the"
    echo -e "\t  library in /usr/share/java when --java-lib is used."
    echo -e "\t  Defaults to the artifact id found in the POM."
    echo -e "\t-i<version> --usj-version=<version>: Optional, the version to use when"
    echo -e "\t  installing the library in /usr/share/java when --java-lib is used."
    echo -e "\t  Defaults to the version found in the POM."
+   echo -e "\t-s --no-usj-versionless: Optional, don't install the versionless link"
+   echo -e "\t  in /usr/share/java."
+   echo -e "\t  This flag is used only when the -l or --java-lib option is given."
+   echo -e "\t-d<path> --dest-jar=<path>: Optional, the destination for the real jar."
+   echo -e "\t  The other places where the jar appears, in the repository or in the"
+   echo -e "\t  list of links, will be symlinks to this jar."
+   echo -e "\t  Defaults to /usr/share/java/$name-$version.jar if --java-lib is used,"
+   echo -e "\t  otherwise it goes to the versioned path in the Maven repository."
    echo -e "\t-c<classifier> --classifier=<classifier>: Optional, the classifier for"
    echo -e "\t  the jar. Empty by default."
    echo -e "\t-v --verbose: show more information while running"
@@ -46,7 +55,7 @@
    exit 1
 }
 
-ARGS="p package r rules l java-lib n usj-name i usj-version c classifier v verbose n no-act" parseargs "$@"
+ARGS="p package r rules l java-lib n usj-name i usj-version s no-usj-versionless d dest-jar c classifier v verbose n no-act" parseargs "$@"
 
 if [ "$ARGC" -lt "2" ]; then
    syntax
@@ -56,7 +65,9 @@
 PACKAGE=$(getarg p package)
 PACKAGE=${PACKAGE:?"Package parameter (-p) is mandatory"}
 JAVALIB=$(getarg l java-lib)
-NAME=$(getarg l java-lib)
+USJ_JAR_NAME=$(getarg n usj-name)
+NO_USJ_VERSIONLESS=$(getarg s no-usj-versionless)
+TARGET_JAR_PATH=$(getarg d dest-jar)
 CLASSIFIER=$(getarg c classifier)
 VERBOSE=$(getarg v verbose)
 NOACT=$(getarg n no-act)
@@ -87,64 +98,83 @@
     VERSIONED_JAR_NAME="${artifactId}-${version}-${CLASSIFIER}.jar"
 fi
 
-# Install the jar in the Maven repository
-if [[ ! -z "$VERBOSE" || "$DH_VERBOSE"="1" ]]; then
-    echo -e "\tcp $JAR debian/tmp/${VERSIONED_JAR_NAME}"
+DEBIAN_JAR_NAME="${artifactId}-${debianVersion}.jar"
+if [ ! -z "$CLASSIFIER" ]; then
+	DEBIAN_JAR_NAME="${artifactId}-${debianVersion}-${CLASSIFIER}.jar"
 fi
 
-cp $JAR debian/tmp/${VERSIONED_JAR_NAME}
+MVN_VERSIONED_DIR=usr/share/maven-repo/${groupPath}/${artifactId}/${version}
+MVN_DEBIAN_DIR=usr/share/maven-repo/${groupPath}/${artifactId}/${debianVersion}
 
-if [[ ! -z "$VERBOSE" || "$DH_VERBOSE"="1" ]]; then
-    echo -e "\tdh_install $DH_OPTS -p${PACKAGE} --sourcedir=debian/tmp ${VERSIONED_JAR_NAME} usr/share/maven-repo/${groupPath}/${artifactId}/${version}"
+TARGET_DIR=${MVN_VERSIONED_DIR}
+TARGET_JAR=${VERSIONED_JAR_NAME}
+
+if [ -n "$JAVALIB" ]; then
+    USJ_JAR_NAME=$(getarg n usj-name)
+    USJ_JAR_NAME=${USJ_JAR_NAME:-$artifactId}
+    USJ_JAR_VERSION=$(getarg i usj-version)
+    USJ_JAR_VERSION=${USJ_JAR_VERSION:-$version}
+	USJ_VERSIONED_JAR_NAME=${USJ_JAR_NAME}-${USJ_JAR_VERSION}.jar
+    USJ_JAR_NAME=${USJ_JAR_NAME}.jar
+	TARGET_DIR=usr/share/java
+	TARGET_JAR=${USJ_VERSIONED_JAR_NAME}
 fi
 
-dh_install $DH_OPTS -p${PACKAGE} --sourcedir=debian/tmp ${VERSIONED_JAR_NAME} \
-	usr/share/maven-repo/${groupPath}/${artifactId}/${version}
+if [[ -n "$TARGET_JAR_PATH" ]]; then
+	TARGET_DIR=$(dirname $TARGET_JAR_PATH)
+	TARGET_JAR=$(basename $TARGET_JAR_PATH)
+fi
 
-if [[ "${version}" != "${debianVersion}" ]]; then
+JAR_INSTALLED=
 
-    DEBIAN_JAR_NAME="${artifactId}-${debianVersion}.jar"
-    if [ ! -z "$CLASSIFIER" ]; then
-        DEBIAN_JAR_NAME="${artifactId}-${debianVersion}-${CLASSIFIER}.jar"
-    fi
+install_jar ()
+{
+	local srcDir=$1
+	local srcJar=$2
+	local destDir=$3
+	local destJar=$4
 
-    if [[ ! -z "$VERBOSE" || "$DH_VERBOSE"="1" ]]; then
-        echo -e "\tdh_link $DH_OPTS -p${PACKAGE} usr/share/maven-repo/${groupPath}/${artifactId}/${version}/${VERSIONED_JAR_NAME} usr/share/maven-repo/${groupPath}/${artifactId}/${debianVersion}/${DEBIAN_JAR_NAME}"
-    fi
+	if [[ ("$destDir" == "$TARGET_DIR") && ("$destJar" == "$TARGET_JAR") ]]; then
+		# avoid duplication as install_jar is called twice
+		if [[ -n "$JAR_INSTALLED" ]]; then 
+			return 
+		fi
+		cp ${srcJar} debian/tmp/${destJar}
+		if [[ ! -z "$VERBOSE" || "$DH_VERBOSE" = "1" ]]; then
+			echo -e "\tdh_install $DH_OPTS -p${PACKAGE} --sourcedir=debian/tmp ${destJar} ${destDir}"
+		fi
+		dh_install $DH_OPTS -p${PACKAGE} --sourcedir=debian/tmp ${destJar} ${destDir}
+		JAR_INSTALLED=done
+	else
+		if [[ ! -z "$VERBOSE" || "$DH_VERBOSE" = "1" ]]; then
+			echo -e "\tdh_link $DH_OPTS -p${PACKAGE} ${srcDir}${srcJar} ${destDir}/${destJar}"
+		fi
+	    dh_link $DH_OPTS -p${PACKAGE} ${srcDir}/${srcJar} ${destDir}/${destJar}
+	fi
+}
 
-    dh_link $DH_OPTS -p${PACKAGE} usr/share/maven-repo/${groupPath}/${artifactId}/${version}/${VERSIONED_JAR_NAME} \
-        usr/share/maven-repo/${groupPath}/${artifactId}/${debianVersion}/${DEBIAN_JAR_NAME}
+# Install the jar in its target directory
+install_jar "" "$JAR" "$TARGET_DIR" "$TARGET_JAR"
 
+# Install the jar in the Maven repository
+install_jar "$TARGET_DIR" "$TARGET_JAR" "$MVN_VERSIONED_DIR" "$VERSIONED_JAR_NAME"
+
+if [[ "${version}" != "${debianVersion}" ]]; then
+	install_jar "$TARGET_DIR" "$TARGET_JAR" "$MVN_DEBIAN_DIR" "$DEBIAN_JAR_NAME"
 fi
 
-# Create the additional links
+# Create the additional links supplied on the argument list
 for (( i=2; i < $ARGC; i++ )); do
     LINK_JAR="${ARGV[i]}"
+	install_jar "$TARGET_DIR" "$TARGET_JAR" "$(dirname $LINK_JAR)" "$(basename $LINK_JAR)"
+done
 
-    if [[ ! -z "$VERBOSE" || "$DH_VERBOSE"="1" ]]; then
-        echo -e "\tdh_link $DH_OPTS -p${PACKAGE} usr/share/maven-repo/${groupPath}/${artifactId}/${version}/${VERSIONED_JAR_NAME} $LINK_JAR;"
-    fi
-
-    dh_link $DH_OPTS -p${PACKAGE} usr/share/maven-repo/${groupPath}/${artifactId}/${version}/${VERSIONED_JAR_NAME} \
-        $LINK_JAR;
-done
+# Install the jar in /usr/share/java
 if [ -n "$JAVALIB" ]; then
-    JAR_NAME=$(getarg n usj-name)
-    JAR_NAME=${JAR_NAME:-$artifactId}
-    JAR_VERSION=$(getarg i usj-version)
-    JAR_VERSION=${JAR_VERSION:-$version}
 
-    if [[ ! -z "$VERBOSE" || "$DH_VERBOSE"="1" ]]; then
-        echo -e "\tdh_link $DH_OPTS -p${PACKAGE} usr/share/maven-repo/${groupPath}/${artifactId}/${version}/${VERSIONED_JAR_NAME} usr/share/java/$JAR_NAME.jar;"
-    fi
+	install_jar "$TARGET_DIR" "$TARGET_JAR" "usr/share/java" "$USJ_VERSIONED_JAR_NAME"
 
-    dh_link $DH_OPTS -p${PACKAGE} usr/share/maven-repo/${groupPath}/${artifactId}/${version}/${VERSIONED_JAR_NAME} \
-        usr/share/java/$JAR_NAME.jar;
-
-    if [[ ! -z "$VERBOSE" || "$DH_VERBOSE"="1" ]]; then
-        echo -e "\tdh_link $DH_OPTS -p${PACKAGE} usr/share/maven-repo/${groupPath}/${artifactId}/${version}/${VERSIONED_JAR_NAME} usr/share/java/$JAR_NAME-$JAR_VERSION.jar;"
-    fi
-
-    dh_link $DH_OPTS -p${PACKAGE} usr/share/maven-repo/${groupPath}/${artifactId}/${version}/${VERSIONED_JAR_NAME} \
-        usr/share/java/$JAR_NAME-$JAR_VERSION.jar;
+	if [[ -z "$NO_USJ_VERSIONLESS" ]]; then
+		install_jar "$TARGET_DIR" "$TARGET_JAR" "usr/share/java" "$USJ_JAR_NAME"
+	fi
 fi

Modified: trunk/maven-repo-helper/src/main/bin/mh_installpom
===================================================================
--- trunk/maven-repo-helper/src/main/bin/mh_installpom	2009-07-16 15:58:53 UTC (rev 9365)
+++ trunk/maven-repo-helper/src/main/bin/mh_installpom	2009-07-16 16:13:55 UTC (rev 9366)
@@ -52,7 +52,7 @@
 
 mkdir -p debian/tmp 2> /dev/null
 
-if [[ ! -z "$VERBOSE" || "$DH_VERBOSE"="1" ]]; then
+if [[ ! -z "$VERBOSE" || "$DH_VERBOSE" = "1" ]]; then
     echo -e "\tmh_cleanpom $DH_OPTS $CLEAN_ARGS $POM debian/tmp/pom.xml debian/tmp/pom.properties"
 fi
 
@@ -62,14 +62,14 @@
 
 groupPath=$(echo $groupId | tr . / )
 
-if [[ ! -z "$VERBOSE" || "$DH_VERBOSE"="1" ]]; then
+if [[ ! -z "$VERBOSE" || "$DH_VERBOSE" = "1" ]]; then
     echo -e "\tmv debian/tmp/pom.xml debian/tmp/${artifactId}-${debianVersion}.pom"
 fi
 
 mv debian/tmp/pom.xml.keep debian/tmp/${artifactId}-${version}.pom
 mv debian/tmp/pom.xml debian/tmp/${artifactId}-${debianVersion}.pom
 
-if [[ ! -z "$VERBOSE" || "$DH_VERBOSE"="1" ]]; then
+if [[ ! -z "$VERBOSE" || "$DH_VERBOSE" = "1" ]]; then
     echo -e "\tdh_install $DH_OPTS -p${PACKAGE} --sourcedir=debian/tmp ${artifactId}-${version}.pom usr/share/maven-repo/${groupPath}/${artifactId}/${version}"
 fi
 
@@ -77,7 +77,7 @@
 	usr/share/maven-repo/${groupPath}/${artifactId}/${version}
 
 if [[ "${version}" != "${debianVersion}" ]]; then
-    if [[ ! -z "$VERBOSE" || "$DH_VERBOSE"="1" ]]; then
+    if [[ ! -z "$VERBOSE" || "$DH_VERBOSE" = "1" ]]; then
         echo -e "\tdh_install $DH_OPTS -p${PACKAGE} --sourcedir=debian/tmp ${artifactId}-${debianVersion}.pom usr/share/maven-repo/${groupPath}/${artifactId}/${debianVersion}"
     fi
 

Modified: trunk/maven-repo-helper/src/main/bin/mh_installpoms
===================================================================
--- trunk/maven-repo-helper/src/main/bin/mh_installpoms	2009-07-16 15:58:53 UTC (rev 9365)
+++ trunk/maven-repo-helper/src/main/bin/mh_installpoms	2009-07-16 16:13:55 UTC (rev 9366)
@@ -35,7 +35,7 @@
 
 cat debian/$PACKAGE.poms | while read POM OPT1 OPT2; do
     if [ ! -z "$POM" ]; then
-        if [[ ! -z "$VERBOSE" || "$DH_VERBOSE"="1" ]]; then
+        if [[ ! -z "$VERBOSE" || "$DH_VERBOSE" = "1" ]]; then
 	        echo -e "\tmh_installpom $DH_OPTS $MH_OPTS $OPT1 $OPT2 $POM"
 		fi
         mh_installpom $DH_OPTS $MH_OPTS $OPT1 $OPT2 $POM

Added: trunk/maven-repo-helper/src/main/bin/mh_linkjar
===================================================================
--- trunk/maven-repo-helper/src/main/bin/mh_linkjar	                        (rev 0)
+++ trunk/maven-repo-helper/src/main/bin/mh_linkjar	2009-07-16 16:13:55 UTC (rev 9366)
@@ -0,0 +1,148 @@
+#!/bin/bash --
+
+set -e
+
+. /usr/share/maven-repo-helper/mh_lib.sh
+
+syntax()
+{
+   echo -e "Usage: mh_linkjar [option]... [pom] [source_jar] [link]..."
+   echo -e "Create symlinks in package build directories, including links to the jar"
+   echo -e "file in /usr/share/maven-repo, at the correct location for Maven."
+   echo -e "It can also create additional links to the jar, usually located in"
+   echo -e "/usr/share/java."
+   echo -e ""
+   echo -e "Where"
+   echo -e "\t[pom] is the location of the POM associated with the jar to install."
+   echo -e "\t  GroupId, artifactId and version will be extracted from this file."
+   echo -e "\t[source_jar] is the path to the jar to install, usually located in the build"
+   echo -e "\t  folder."
+   echo -e "\t[link] is an additional link to the jar to install, usually there should"
+   echo -e "\t  be a link to usr/share/java/$jar.jar and"
+   echo -e "\t  usr/share/java/$jar-$version.jar to comply with the Java packaging"
+   echo -e "\t  guidelines. Note that there is no need to specify those particular"
+   echo -e "\t  links if the --java-lib option is used."
+   echo -e "Options:"
+   echo -e "\t-h --help: show this text"
+   echo -e "\t-V --version: show the version"
+   echo -e "\t-p<package> --package=<package>: package to act on "
+   echo -e "\t-r<rules> --rules=<rules>: gives the location of the rules file for"
+   echo -e "\t  special properties. Optional, the default location is"
+   echo -e "\t  debian/maven.rules"
+   echo -e "\t-l --java-lib: Optional, if given it will install the jar into"
+   echo -e "\t  /usr/share/java to comply with the Debian Java specification."
+   echo -e "\t  The jar will be installed as /usr/share/java/$name-$version.jar and"
+   echo -e "\t  a versionless link /usr/share/java/$name.jar will point to it, as"
+   echo -e "\t  well as the links installed in /usr/share/maven-repo"
+   echo -e "\t-n<name> --usj-name=<name>: Optional, the name to use when installing the"
+   echo -e "\t  library in /usr/share/java when --java-lib is used."
+   echo -e "\t  Defaults to the artifact id found in the POM."
+   echo -e "\t-i<version> --usj-version=<version>: Optional, the version to use when"
+   echo -e "\t  installing the library in /usr/share/java when --java-lib is used."
+   echo -e "\t  Defaults to the version found in the POM."
+   echo -e "\t-s --no-usj-versionless: Optional, don't install the versionless link"
+   echo -e "\t  in /usr/share/java."
+   echo -e "\t  This flag is used only when the -l or --java-lib option is given."
+   echo -e "\t-c<classifier> --classifier=<classifier>: Optional, the classifier for"
+   echo -e "\t  the jar. Empty by default."
+   echo -e "\t-v --verbose: show more information while running"
+   echo -e "\t-n --no-act: don't actually do anything, just print the results"
+   exit 1
+}
+
+ARGS="p package r rules l java-lib n usj-name i usj-version s no-usj-versionless c classifier v verbose n no-act" parseargs "$@"
+
+if [ "$ARGC" -lt "2" ]; then
+   syntax
+fi
+
+RULES=$(getarg r rules)
+PACKAGE=$(getarg p package)
+PACKAGE=${PACKAGE:?"Package parameter (-p) is mandatory"}
+JAVALIB=$(getarg l java-lib)
+USJ_JAR_NAME=$(getarg n usj-name)
+NO_USJ_VERSIONLESS=$(getarg s no-usj-versionless)
+CLASSIFIER=$(getarg c classifier)
+VERBOSE=$(getarg v verbose)
+NOACT=$(getarg n no-act)
+POM="${ARGV[0]}"
+JAR="${ARGV[1]}"
+
+DH_OPTS="${VERBOSE:+-v} ${NOACT:+-n}"
+CLEAN_ARGS="--package=${PACKAGE} ${RULES:+--rules=$RULES}"
+
+mkdir -p debian/tmp 2> /dev/null
+
+if [[ ! -z "$VERBOSE" || "$DH_VERBOSE" = "1" ]]; then
+    echo -e "\tmh_cleanpom $DH_OPTS $CLEAN_ARGS $POM debian/tmp/pom.xml debian/tmp/pom.properties"
+fi
+
+mh_cleanpom $DH_OPTS $CLEAN_ARGS $POM debian/tmp/pom.xml debian/tmp/pom.properties
+source debian/tmp/pom.properties
+
+groupPath=$(echo $groupId | tr . / )
+
+VERSIONED_JAR_NAME="${artifactId}-${version}.jar"
+if [ ! -z "$CLASSIFIER" ]; then
+    VERSIONED_JAR_NAME="${artifactId}-${version}-${CLASSIFIER}.jar"
+fi
+
+DEBIAN_JAR_NAME="${artifactId}-${debianVersion}.jar"
+if [ ! -z "$CLASSIFIER" ]; then
+	DEBIAN_JAR_NAME="${artifactId}-${debianVersion}-${CLASSIFIER}.jar"
+fi
+
+MVN_VERSIONED_DIR=usr/share/maven-repo/${groupPath}/${artifactId}/${version}
+MVN_DEBIAN_DIR=usr/share/maven-repo/${groupPath}/${artifactId}/${debianVersion}
+
+if [ -n "$JAVALIB" ]; then
+    USJ_JAR_NAME=$(getarg n usj-name)
+    USJ_JAR_NAME=${USJ_JAR_NAME:-$artifactId}
+    USJ_JAR_VERSION=$(getarg i usj-version)
+    USJ_JAR_VERSION=${USJ_JAR_VERSION:-$version}
+	USJ_VERSIONED_JAR_NAME=${USJ_JAR_NAME}-${USJ_JAR_VERSION}.jar
+    USJ_JAR_NAME=${USJ_JAR_NAME}.jar
+fi
+
+link_jar ()
+{
+	local srcDir=$1
+	local srcJar=$2
+	local destDir=$3
+	local destJar=$4
+
+	if [[ ("$srcDir" == "$destDir") && ("$srcJar" == "$destJar") ]]; then
+		return
+	fi
+
+	if [[ ! -z "$VERBOSE" || "$DH_VERBOSE" = "1" ]]; then
+		echo -e "\tdh_link $DH_OPTS -p${PACKAGE} ${srcDir}${srcJar} ${destDir}/${destJar}"
+	fi
+    dh_link $DH_OPTS -p${PACKAGE} ${srcDir}/${srcJar} ${destDir}/${destJar}
+}
+
+TARGET_DIR=$(dirname $JAR)
+TARGET_JAR=$(basename $JAR)
+
+# Install the link to the jar into the Maven repository
+link_jar "$TARGET_DIR" "$TARGET_JAR" "$MVN_VERSIONED_DIR" "$VERSIONED_JAR_NAME"
+
+if [[ "${version}" != "${debianVersion}" ]]; then
+	link_jar "$TARGET_DIR" "$TARGET_JAR" "$MVN_DEBIAN_DIR" "$DEBIAN_JAR_NAME"
+fi
+
+# Create the additional links supplied on the argument list
+for (( i=2; i < $ARGC; i++ )); do
+    LINK_JAR="${ARGV[i]}"
+	link_jar "$TARGET_DIR" "$TARGET_JAR" "$(dirname $LINK_JAR)" "$(basename $LINK_JAR)"
+done
+
+# Install the link to the jar in /usr/share/java
+if [ -n "$JAVALIB" ]; then
+
+	link_jar "$TARGET_DIR" "$TARGET_JAR" "usr/share/java" "$USJ_VERSIONED_JAR_NAME"
+
+	if [[ -z "$NO_USJ_VERSIONLESS" ]]; then
+		link_jar "$TARGET_DIR" "$TARGET_JAR" "usr/share/java" "$USJ_JAR_NAME"
+	fi
+fi

Modified: trunk/maven-repo-helper/src/main/share/mh_lib.sh
===================================================================
--- trunk/maven-repo-helper/src/main/share/mh_lib.sh	2009-07-16 15:58:53 UTC (rev 9365)
+++ trunk/maven-repo-helper/src/main/share/mh_lib.sh	2009-07-16 16:13:55 UTC (rev 9366)
@@ -4,7 +4,7 @@
 # - package selection
 #
 
-MH_VERSION=${MH_VERSION:-0.6}
+MH_VERSION=${MH_VERSION:-0.7}
 CLASSPATH=/usr/share/java/stax-api.jar:/usr/share/java/stax.jar:/usr/share/java/xml-apis.jar:/usr/share/java/maven-repo-helper.jar
 JAVA_OPTIONS="-Djavax.xml.stream.XMLOutputFactory=com.bea.xml.stream.XMLOutputFactoryBase -Djavax.xml.stream.XMLInputFactory=com.bea.xml.stream.MXParserFactory"
 




More information about the pkg-java-commits mailing list